Name:		mihphoto
Version:	1.0.14
Release:	%mkrel 1
License:	GPLv3
Summary:	Touch-friendly image viewer
Group:		Graphics/Viewers
Url:		https://github.com/maemo-leste-extras/mihphoto
Source0:	https://github.com/maemo-leste-extras/mihphoto/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
MihPhoto is meant to be a simple touchscreen-friendly image viewer.
There a lot of very good image viewers, including many opensource ones,
but most of them are very difficult to handle on a touchscreen.

This application was designed with touchscreens in mind so it is most useful
if you have a touchscreen.

To use the application just open an image; then you can use a swipe gesture
to browse trough all the images located in the same folder as the first one.

%prep
%autosetup -p1

# Fix version
sed -e 's|1.0.13|%{version}|g' -i {%{name}.pro,VERSION}

# Fix .desktop path
sed -e 's|desktopfile.path =.*|desktopfile.path = %{_datadir}/applications|' -i %{name}.pro

# Fix exec command and add MimeType and Categories in desktop file
sed -e 's|Exec=.*|Exec=%{name} %F|' -e '$ a Categories=Graphics;Viewer;' \
    -e '$ a MimeType=image/bmp;image/gif;image/jpeg;image/jpg;image/png;image/tiff;image/x-bmp;image/x-pcx;image/x-tga;image/x-portable-pixmap;image/x-portable-bitmap;image/x-targa;' \
    -i %{name}.desktop

# Set icon files.
sed -e 's|Icon=.*|Icon=%{name}|' -i %{name}.desktop
sed -e "s|hicolor.*|hicolor|;s|icon.files.*|icon.files = \$\$files(hicolor/*)|" -i %{name}.pro
mkdir -p hicolor/{48x48,64x64,128x128,scalable}/apps
cp symbol/icon48.png hicolor/48x48/apps/%{name}.png
cp symbol/icon128.png hicolor/128x128/apps/%{name}.png
cp symbol/MihPhoto.png hicolor/64x64/apps/%{name}.png
cp symbol/icon_main.svg hicolor/scalable/apps/%{name}.svg

%build
%qmake_qt5
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%license COPYING
%doc AUTHORS VERSION CREDITS README.md
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/*


%changelog
* Tue Dec 17 2024 daviddavid <daviddavid> 1.0.14-1.mga10
+ Revision: 2125869
- new version: 1.0.14 (thanks to Aurelian R, mga#33860)
- switch to Qt5

* Sun Apr 03 2022 umeabot <umeabot> 1.0.10-4.mga9
+ Revision: 1841279
- Mageia 9 Mass Rebuild

* Thu Feb 13 2020 umeabot <umeabot> 1.0.10-3.mga8
+ Revision: 1515154
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.10-2.mga7
+ Revision: 1299537
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 kekepower <kekepower> 1.0.10-1.mga7
+ Revision: 1217579
- Update to version 1.0.10
- Rediff patch

* Mon Feb 08 2016 umeabot <umeabot> 1.0.8-6.mga6
+ Revision: 944585
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.8-5.mga5
+ Revision: 740496
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.8-4.mga5
+ Revision: 682389
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.8-3.mga4
+ Revision: 521773
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 1.0.8-2.mga3
+ Revision: 391875
- update rpm group
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 25 2012 matteo <matteo> 1.0.8-1.mga3
+ Revision: 297742
- added missing Group
- imported package mihphoto

